Choosing the right Certbot to use

The front page of the Certbot website “Certbot Instructions” lists Debian 8, 9, Other, Testing/Unstable.

I would like to know the correct version of Certbot to use on my Raspberry PI 4?

The OS is Debian Buster (Raspberian) with Apache2

I did notice something on the Debian site here too. https://packages.debian.org/buster/certbot

Just want to be sure and use the right one.

~Bob~

1 Like

If you have Raspbian Buster (check /etc/os-release to be sure), then installing the Debian package is the way to go.

At least, until Certbot is packaged for buster-backports.

5 Likes

Thank very kindly. Will Do.

PRETTY_NAME=“Raspbian GNU/Linux 10 (buster)”
NAME=“Raspbian GNU/Linux”
VERSION_ID=“10”
VERSION=“10 (buster)”
VERSION_CODENAME=buster
ID=raspbian
ID_LIKE=debian
HOME_URL=“http://www.raspbian.org/
SUPPORT_URL=“http://www.raspbian.org/RaspbianForums
BUG_REPORT_URL=“http://www.raspbian.org/RaspbianBugs

Finally got it going. Thanks again, https://4betts.com/pws/ :slightly_smiling_face:

~Bob~

2 Likes